Bug 468139 - regression: Unused (unread ?) global variables are being displayed.
regression: Unused (unread ?) global variables are being displayed.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Stan Cox
BaseOS QE
: Regression
Depends On:
Blocks: 468087
  Show dependency treegraph
 
Reported: 2008-10-23 02:30 EDT by Wade Mealing
Modified: 2010-10-23 01:23 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2008-10-23 02:30:31 EDT
Description of problem:

Global variables are being displayed during the end of a system probe.

Version-Release number of selected component (if applicable):

systemtap-0.7.2-1

How reproducible:

Every time.

Steps to Reproduce:
1. Create a system tap script that uses a tapset with a global variable.
2. Dont use it.
3. Watch global variables being printed at run time (created at second level of processing time)
  
Actual results:

global variable results printed out, example.

stap -I ./lib test_strtol.stp
100
testset_inmain=0x0

(testset_inmain is a global variable)


Expected results:

Nothing extra to be printed

Additional info:

Looks as though void add_global_var_display (systemtap_session& s) is being called , which causes unexpected output.
Comment 2 Frank Ch. Eigler 2008-10-23 08:18:18 EDT
The automated printing code should apply only to globals that were
declared in the end-user script, not in a tapset.  (Checking
stapfile->guru_mode could be an approximation of that predicate.)
Comment 5 Frank Ch. Eigler 2008-10-28 10:24:54 EDT
A patch is available in upstream systemtap and will be backported.
Comment 8 David Smith 2008-11-05 10:36:00 EST
The following patches have been added to the spec file for this issue:

systemtap-0.7.2-bz468139-global-variable-fix1.patch
systemtap-0.7.2-bz468139-global-variable-fix2.patch
systemtap-0.7.2-bz468139-global-variable-fix3.patch
systemtap-0.7.2-bz468139-global-variable-fix4.patch
systemtap-0.7.2-bz468139-global-variable-fix5.patch
Comment 16 Chris Ward 2008-11-28 02:15:59 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 20 errata-xmlrpc 2009-01-20 16:07:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0184.html

Note You need to log in before you can comment on or make changes to this bug.